# IBM Visualization Data Explorer Programmer's Reference

[ Bottom of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]

### DXLn, DXTri, DXQuad, DXTetra

Function

Constructs a line, triangle, quadrilateral, or tetrahedron from point identifiers.

Syntax
`
#include <dx/dx.h>
`

Line DXLn(PointId p, PointId q)
Triangle DXTri(PointId p, PointId q, PointId r)
Quadrilateral DXQuad(PointId p, PointId q, PointId r, PointId s)
Tetrahedron DXTetra(PointId p, PointId q, PointId r, PointId s)

Functional Details

Each of the connection primitives defined here consists of indices into an Array that stores the coordinate data, which are typically stored in the "positions" component of a Field.

The type definitions for a `Line`, `Triangle`, `Quadrilateral`, and `Tetrahedron` are as follows:
`
typedef struct line {
PointId p, q;
} Line;
`

typedef struct triangle {
PointId p, q, r;
} Triangle;

typedef struct quadrilateral {
PointId p, q, r, s;
} Quadrilateral;

typedef struct tetrahedron {
PointId p, q, r, s;
} Tetrahedron;

A Point Id is defined as follows:
`
typedef int PointId;
`

Return Value

Returns a line, triangle, quadrilateral, or tetrahedron.

See Also

`DXAddArrayData, DXAddLine, ...Triangle, ...Quad, ...Tetrahedron, ...Lines, ...Triangles, ...Quads, ...Tetrahedra, DXNewArray, DXNewArrayV`

"Lines, Triangles, Quadrilaterals, Tetrahedra, and Cubes".

[ Top of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]
[Data Explorer Documentation | QuickStart Guide | User's Guide | User's Reference | Programmer's Reference | Installation and Configuration Guide ]

[Data Explorer Home Page | Contact Data Explorer | Same document on Data Explorer Home Page ]

[IBM Home Page | Order | Search | Contact IBM | Legal ]